<?php
namespace Plugin\Controller;

use Plugin\DBMS\Manager;
use Plugin\Server\Response;
use Plugin\Server\Request;
class Container {
	
	/**
	 * Slot variables can store values to be accessed inside any view:
	 * Key => Value
	 * @var mixed
	 */
	public static $slots = array();
	
	protected function setSlots($name,$value){
		self::$slots[$name] = $value;
	}
	
	/**
	 * Get the database Manager
	 * @return \Plugin\DBMS\Manager
	 */
	public function getManager(){
		return Manager::getManager();
	}
	
	protected function render($path,$vars = array()){
		$res = new Response();
		$res->setTemplate($path,$vars);
		return $res;
	}
	
	/**
	 * Get the request object
	 * @return \Plugin\Server\Request
	 */
	public function getRequest(){
		return Request::getRequest();
	}
}